Subject: Re: [PATCH 2/2] net:phy:dp83867:implement the binding for status led

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 9 Aug 2021 10:59:00 +0100

On Mon, Aug 09, 2021 at 04:55:10PM +0800, [email-masked] wrote:
> From: Chao Zeng <[email-masked]>
> 
> the DP83867 has different function option for the status led.
> It is possible to set the status led for different function
> 
> Signed-off-by: Chao Zeng <[email-masked]>

Private properties for status LEDs are no longer permitted for new code.

Instead, there is work ongoing to add LED subsystem support for PHY
status indicators, a recent patch set can be found here:
https://lore.kernel.org/netdev/20210602144439.4d20b295@dellmb/T/
You may be interested in helping this effort along.

Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!